% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/attributes.R
\name{row_height}
\alias{row_height}
\alias{row_height<-}
\alias{set_row_height}
\alias{row_height.huxtable}
\alias{row_height<-.huxtable}
\title{Row heights}
\usage{
row_height(ht)
row_height(ht) <- value
set_row_height(ht, row, value)
}
\arguments{
\item{ht}{A huxtable.}

\item{value}{A vector.}

\item{row}{A row specifier. See \code{\link{rowspecs}} for details.}
}
\value{
For \code{row_height}, the \code{row_height} attribute.
For \code{set_row_height}, the \code{ht} object.
}
\description{
Functions to get or set the row heights property of huxtable rows.
}
\details{
If character, \code{value} must contain valid CSS or LaTeX lengths. If numeric, in HTML, values are scaled to 1 and treated as proportions of the table height. In LaTeX, they are
treated as proportions of the text height (\\textheight).
}
\examples{

ht <- huxtable(a = 1:3, b = 1:3)
row_height(ht) <-  c(.2, .1, .1)
row_height(ht)

}
\seealso{
Other row/column heights: \code{\link{col_width}}
}
