% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/attributes.R
\name{set_all_border_colors}
\alias{set_all_border_colors}
\title{Set all border colors}
\usage{
set_all_border_colors(ht, row, col, value, byrow = FALSE)
}
\arguments{
\item{ht}{A huxtable.}

\item{row}{A row specifier. See \code{\link{rowspecs}} for details.}

\item{col}{An optional column specifier.}

\item{value}{A vector or matrix of colors. Set to \code{NA} for the default. Set to \code{NA} to reset to the default.}

\item{byrow}{If \code{TRUE}, fill in values by row rather than by column.}
}
\value{
The modified huxtable.
}
\description{
This is a convenience function which sets left, right, top and bottom border
colors for the specified cells.
}
\examples{
ht <- huxtable(a = 1:3, b = 1:3)
ht <- set_all_border_colors(ht, 'red')
}
\seealso{
\code{\link[=left_border_color]{left_border_color()}}
}
