% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/attributes.R
\name{set_outer_borders}
\alias{set_outer_borders}
\title{Set outer borders round a rectangle of cells}
\usage{
set_outer_borders(ht, row, col, value)
}
\arguments{
\item{ht}{A huxtable}

\item{row}{A row specifier. See \code{\link[=rowspecs]{rowspecs()}} for details.}

\item{col}{A column specifier.}

\item{value}{A numeric value for the border width. Set to 0 for no border.}
}
\value{
The modified huxtable.
}
\description{
This is a convenience function to set a border round the top,
bottom, left and right of a group of cells.
}
\examples{
ht <- huxtable(a = 1:3, b = 1:3)
set_outer_borders(ht, 1)
set_outer_borders(ht, 2:3, 1:2, 1)

}
\seealso{
\code{\link[=left_border]{left_border()}}, \code{\link[=set_all_borders]{set_all_borders()}}
}
