% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/attributes.R
\name{tabular_environment}
\alias{tabular_environment}
\alias{tabular_environment<-}
\alias{set_tabular_environment}
\alias{tabular_environment.huxtable}
\alias{tabular_environment<-.huxtable}
\title{Tabular environment}
\usage{
tabular_environment(ht)
tabular_environment(ht) <- value
set_tabular_environment(ht, value)
}
\arguments{
\item{ht}{A huxtable.}

\item{value}{A length-one character vector. Set to \code{NA} for the default, 'tabularx'.}
}
\value{
For \code{tabular_environment}, the \code{tabular_environment} attribute.
For \code{set_tabular_environment}, the \code{ht} object.
}
\description{
Functions to get or set the table-level tabular environment property of a huxtable.
}
\details{
No features are guaranteed to work if you set this to a non-default value. Use at your own risk!
}
\examples{

ht <- huxtable(a = 1:3, b = 1:3)
tabular_environment(ht) <-  'longtable'
tabular_environment(ht)

}
